Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 890450 - [abrt] python-2.7.3-7.2.fc17: Py_FatalError: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
Summary: [abrt] python-2.7.3-7.2.fc17: Py_FatalError: Process /usr/bin/python2.7 was k...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b460a0a396f0466383bd239d45b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-27 01:50 UTC by Gilles J. Seguin
Modified: 2013-07-31 20:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 20:07:06 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (1.51 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: environ (3.35 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: backtrace (13.49 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: smolt_data (3.50 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: executable (18 bytes, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: maps (16.23 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: dso_list (3.57 KB, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2012-12-27 01:50 UTC, Gilles J. Seguin
no flags Details
File: open_fds (106 bytes, text/plain)
2012-12-27 01:51 UTC, Gilles J. Seguin
no flags Details

Description Gilles J. Seguin 2012-12-27 01:50:37 UTC
Description of problem:
i was using "autojump" cli command
i have receive error message
Fatal Python error: deletion of interned string failed
"/sdc1/wciv"
which is an existing mounted hard drive.



Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/autojump /sdc1/wciv
crash_function: Py_FatalError
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #2 Py_FatalError at /usr/src/debug/Python-2.7.3/Python/pythonrun.c:1685
: #3 string_dealloc at /usr/src/debug/Python-2.7.3/Objects/stringobject.c:587
: #4 dict_dealloc at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:993
: #5 insertdict at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:539
: #6 PyDict_SetItem at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:784
: #7 _PyModule_Clear at /usr/src/debug/Python-2.7.3/Objects/moduleobject.c:138
: #8 PyImport_Cleanup at /usr/src/debug/Python-2.7.3/Python/import.c:480
: #9 Py_Finalize at /usr/src/debug/Python-2.7.3/Python/pythonrun.c:454
: #11 Py_Main at /usr/src/debug/Python-2.7.3/Modules/main.c:664

Comment 1 Gilles J. Seguin 2012-12-27 01:50:41 UTC
Created attachment 669459 [details]
File: core_backtrace

Comment 2 Gilles J. Seguin 2012-12-27 01:50:43 UTC
Created attachment 669460 [details]
File: environ

Comment 3 Gilles J. Seguin 2012-12-27 01:50:45 UTC
Created attachment 669461 [details]
File: backtrace

Comment 4 Gilles J. Seguin 2012-12-27 01:50:46 UTC
Created attachment 669462 [details]
File: limits

Comment 5 Gilles J. Seguin 2012-12-27 01:50:48 UTC
Created attachment 669463 [details]
File: cgroup

Comment 6 Gilles J. Seguin 2012-12-27 01:50:50 UTC
Created attachment 669464 [details]
File: smolt_data

Comment 7 Gilles J. Seguin 2012-12-27 01:50:52 UTC
Created attachment 669465 [details]
File: executable

Comment 8 Gilles J. Seguin 2012-12-27 01:50:54 UTC
Created attachment 669466 [details]
File: maps

Comment 9 Gilles J. Seguin 2012-12-27 01:50:56 UTC
Created attachment 669467 [details]
File: dso_list

Comment 10 Gilles J. Seguin 2012-12-27 01:50:58 UTC
Created attachment 669468 [details]
File: proc_pid_status

Comment 11 Gilles J. Seguin 2012-12-27 01:51:00 UTC
Created attachment 669469 [details]
File: open_fds

Comment 12 Fedora Admin XMLRPC Client 2013-05-10 05:10:29 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2013-05-10 05:12:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2013-07-03 20:20:55 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-07-31 20:07:13 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.